<?php
 
 
 

namespace Google\Protobuf\Internal\FeatureSetDefaults;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBWire;
use Google\Protobuf\Internal\InputStream;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;









class FeatureSetEditionDefault extends \Google\Protobuf\Internal\Message
{
    


    protected $edition = null;
    




    protected $overridable_features = null;
    




    protected $fixed_features = null;

    












    public function __construct($data = NULL) {
        \GPBMetadata\Google\Protobuf\Internal\Descriptor::initOnce();
        parent::__construct($data);
    }

    



    public function getEdition()
    {
        return isset($this->edition) ? $this->edition : 0;
    }

    public function hasEdition()
    {
        return isset($this->edition);
    }

    public function clearEdition()
    {
        unset($this->edition);
    }

    




    public function setEdition($var)
    {
        GPBUtil::checkEnum($var, \Google\Protobuf\Internal\Edition::class);
        $this->edition = $var;

        return $this;
    }

    





    public function getOverridableFeatures()
    {
        return $this->overridable_features;
    }

    public function hasOverridableFeatures()
    {
        return isset($this->overridable_features);
    }

    public function clearOverridableFeatures()
    {
        unset($this->overridable_features);
    }

    






    public function setOverridableFeatures($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\Internal\FeatureSet::class);
        $this->overridable_features = $var;

        return $this;
    }

    





    public function getFixedFeatures()
    {
        return $this->fixed_features;
    }

    public function hasFixedFeatures()
    {
        return isset($this->fixed_features);
    }

    public function clearFixedFeatures()
    {
        unset($this->fixed_features);
    }

    






    public function setFixedFeatures($var)
    {
        GPBUtil::checkMessage($var, \Google\Protobuf\Internal\FeatureSet::class);
        $this->fixed_features = $var;

        return $this;
    }

}

